Available in Classic and VPC
View the details of a specified product.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id} |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | ID of the product to search
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***681e***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"product" : {
"invokeId" : "invokeId",
"domainCode" : "domainCode",
"productId" : "productId",
"isPublished" : true,
"modifier" : "modifier",
"permission" : "permission",
"productName" : "productName",
"subscriptionCode" : "PROTECTED",
"isDeleted" : true,
"modTime" : "2000-01-23T04:56:07.000+00:00",
"tenantId" : "tenantId",
"disabled" : true,
"productDescription" : "productDescription",
"actionName" : "actionName"
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"product": {
"productId": "***681e***",
"invokeId": "***681e***",
"tenantId": "***e230cebc1402ba89b148896951***",
"productName": "product001",
"isPublished": false,
"subscriptionCode": "PROTECTED",
"modifier": "***d3020-5bb7-11ec-bfb8-246e96591***",
"isDeleted": false,
"modTime": "2024-05-07T01:59:03Z",
"domainCode": "PUB",
"zoneCode": "PUBLIC"
}
}